Error configurar parámetros productos prestashop 1,7  

Página 1 / 2
 
jaime luis
 jaime luis
Estimable Member

Buenos días
Después de actualizar Prestashop de la 1.7.3.x a la 1.7.4.2 me he dado cuenta de un error cuando quiero acceder a Configurar-párametros de la tienda-configuración de productos, ahí me sale este error:
"Oops! An Error Occurred

The server returned a "500 Internal Server Error".

Something is broken. Please let us know what you were doing when this error occurred. We will fix it as soon as possible. Sorry for any inconvenience caused."

Tengo dos instalaciones de Prestashop y en las dos me ocurre, ya he pasado el Stephan y nada, no accedo....
Adjunto captura de pantalla en modo debug

Se os ocurre algo?
Gracias!!!

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 02/08/2018 11:06 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Jaime.

Revisando tu archivo error.log veo que tienes problemas con el modulo " ganalytics "

[02-Aug-2018 10:59:39 Europe/Madrid] PHP Notice: A non well formed numeric value encountered in /home/dkorando/public_html/regalospersonalizadosconfotos.com/modules/ganalytics/ganalytics.php on line 539

.- Accede a modulo y elimina el modulo " ganalytics "

Otra posible causa es la version de PHP que estas utilizando en tu cuenta, veo que tienes instlada la version 5.6 y las ultimas versiones de prestashop necesitan la version 7.x para su buen funcionamiento.

Puedes modificar la versión de php de tu cuenta desde tu cuenta de cpanel -> Software -> Configurar PHP, solo tienes que seleccionar la versión que quieres que se instale, del desplegable que encontraras.

-> https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Elije una versión de la rama 7.x para el dominio al que haces referencia y revisa si se solucionan el problema.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 02/08/2018 12:14 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

jaime luis
 jaime luis
Estimable Member

Gracias Pepe
lo del php es algo que revise ayer, y sorprendentemente no se porque hoy me sale esa otra versión, ya le he cambiado, en cuanto a ganalytics ? desactivarlo o desinstalarlo del todo?
Lo he desactivado, limpiado cache y... no va...solo pasa con configuración de productos, las otras opciones funciona correctamente.
gracias

ResponderCitar
Respondido : 02/08/2018 1:05 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Jaime.

Ok, sobre analytics, lo eliminas por completo, no tiene ningún sentido que tengas estadísticas en la administración de prestashop cuando tienes el administrador de analytics. Esta clase de módulos consumen muchos recursos.

Tienes otro error, pero esa carpeta donde tienes el error no se a que pertenece:

PHP Fatal error: Call to undefined function measuring_units_squared() in /home/dkorando/public_html/factura/htdocs/product/class/product.class.php on line 748

La carpeta factura supongo que es alguna aplicación para crear las facturas de PS pero no es estándar por lo que no se si de alguna extensión o función adicional que añadiste.

para comprobar si el problema viene por eso, accede a tu cuenta de cPanel -> administrador de archivos y renombrar la carpeta " Factura " por ejemplo " factura_old "

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 02/08/2018 1:28 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

jaime luis
 jaime luis
Estimable Member

Buenos días
He hecho todo lo que me comentas, y el error sigue igual, he vuelto a renombrado la carpeta después de comprobarlo ya que la necesito operativa. De todas maneras en la otra instalación de prestashop que tengo sin tener ese modulo instalado me da el mismo error. Te pego lo que me dice en modo debug
"
in vendor/symfony/symfony/src/Symfony/Component/Form/Extension/Core/DataMapper/PropertyPathMapper.php (line 41)
PropertyPathMapper->mapDataToForms('', object(RecursiveIteratorIterator))
in vendor/symfony/symfony/src/Symfony/Component/Form/Form.php (line 383)
Form->setData('')
in vendor/symfony/symfony/src/Symfony/Component/Form/Extension/Core/DataMapper/PropertyPathMapper.php (line 49)
PropertyPathMapper->mapDataToForms(array('allow_ordering_oos' => true, 'stock_management' => false, 'in_stock_label' => '', 'oos_allowed_backorders' => '', 'oos_denied_backorders' => '', 'delivery_time' => array(''), 'oos_delivery_time' => array(''), 'pack_stock_management' => '2'), object(RecursiveIteratorIterator))
in vendor/symfony/symfony/src/Symfony/Component/Form/Form.php (line 383)
Form->setData(array('allow_ordering_oos' => true, 'stock_management' => false, 'in_stock_label' => '', 'oos_allowed_backorders' => '', 'oos_denied_backorders' => '', 'delivery_time' => array(''), 'oos_delivery_time' => array(''), 'pack_stock_management' => '2'))
in vendor/symfony/symfony/src/Symfony/Component/Form/Extension/Core/DataMapper/PropertyPathMapper.php (line 49)
PropertyPathMapper->mapDataToForms(array('general' => array('catalog_mode' => false, 'new_days_number' => '60', 'short_description_limit' => '800', 'quantity_discount' => '0', 'force_friendly_url' => true, 'default_status' => true), 'pagination' => array('products_per_page' => '15', 'default_order_by' => '2', 'default_order_way' => '0'), 'page' => array('display_quantities' => false, 'display_last_quantities' => '3', 'display_unavailable_attributes' => true, 'allow_add_variant_to_cart_from_listing' => true, 'attribute_anchor_separator' => '-', 'display_discount_price' => false), 'stock' => array('allow_ordering_oos' => true, 'stock_management' => false, 'in_stock_label' => '', 'oos_allowed_backorders' => '', 'oos_denied_backorders' => '', 'delivery_time' => array(''), 'oos_delivery_time' => array(''), 'pack_stock_management' => '2')), object(RecursiveIteratorIterator))
in vendor/symfony/symfony/src/Symfony/Component/Form/Form.php (line 383)
Form->setData(array('general' => array('catalog_mode' => false, 'new_days_number' => '60', 'short_description_limit' => '800', 'quantity_discount' => '0', 'force_friendly_url' => true, 'default_status' => true), 'pagination' => array('products_per_page' => '15', 'default_order_by' => '2', 'default_order_way' => '0'), 'page' => array('display_quantities' => false, 'display_last_quantities' => '3', 'display_unavailable_attributes' => true, 'allow_add_variant_to_cart_from_listing' => true, 'attribute_anchor_separator' => '-', 'display_discount_price' => false), 'stock' => array('allow_ordering_oos' => true, 'stock_management' => false, 'in_stock_label' => '', 'oos_allowed_backorders' => '', 'oos_denied_backorders' => '', 'delivery_time' => array(''), 'oos_delivery_time' => array(''), 'pack_stock_management' => '2')))
in vendor/symfony/symfony/src/Symfony/Component/Form/Form.php (line 487)
Form->initialize()
in vendor/symfony/symfony/src/Symfony/Component/Form/FormBuilder.php (line 226)
FormBuilder->getForm()
in src/Core/Form/FormHandler.php (line 95)
[ 'form_builder' => &$this->formBuilder, ] ); return $this->formBuilder->getForm(); } /** * {@inheritdoc} * @throws Exception
FormHandler->getForm()
in src/PrestaShopBundle/Controller/Admin/Configure/ShopParameters/ProductPreferencesController.php (line 66)
ProductPreferencesController->indexAction(object(Request))
in vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php (line 151)
HttpKernel->handleRaw(object(Request), 1)
in vendor/symfony/symfony/src/Symfony/Component/HttpKernel/HttpKernel.php (line 68)
HttpKernel->handle(object(Request), 1, false)
in vendor/symfony/symfony/src/Symfony/Component/HttpKernel/Kernel.php (line 200)
Kernel->handle(object(Request), 1, false)
in admin8672v05wp/index.php (line 88)"
Gracias

ResponderCitar
Respondido : 04/08/2018 10:39 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Jaime.

Ok, parece ser que es un bug en prestashop que esta documentado en esta entrada:
-> http://forge.prestashop.com/browse/BOOM-5982

Tienes que realizar algunas modificaciones en tu base de datos, seria ejecutar la siguiente consulta:

INSERT INTO `ps_configuration_lang` (`id_configuration`, `id_lang`, `value`, `date_upd`)
VALUES
    (1, 1, '', NULL),
    (1, 2, '', NULL),
    (1, 3, '', NULL),
    (1, 4, '', NULL);

El primer valor " 1 " corresponde al ID de la tienda, este valor lo puedes ver en la tabla " ps_shop " y tienes que realizar la consulta para todas las tiendas que tengas creadas, si no recuerdo mal creo que tienes una multitienda.

El segundo valor " 1, 2, 3 " corresponden a los ID idiomas que tienes creados.

para realizar la consulta accede a tu cuenta de cPanel -> Bases de datos -> phpMyAdmin
.- Selecciona la base de datos que utiliza tu instalación.
.- Pulsa en " Exportar " y descarga una copia de la base de datos.
.- Pulsa en " Generar Consulta " y añade la consulta que te indique antes:

Recuerda que tienes que realizar lo que se indica en cada ID de tienda.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 04/08/2018 1:30 pm

Cursos Gratuitos WordPress

jaime luis
 jaime luis
Estimable Member

Buenos días
No entiendo mucho de esto... a ver he hecho la prueba en el prestashop nuevo que no es multitienda y que no pasa nada si pierdo algo.
Copio lo que me has puesto, lo pego en generar consultas, le doy al botón ejecutar la consulta, y no pasa nada, o sea no me da ningún mensaje de que está ok, ni que está mal.
Entiendo que luego te vas a la tabla "ps_configuration_lang" y tendrian que aparecer esas tablas nuevas no?
Porque no aparecen, adjunto captura de pantalla
Igual hago algo mal
Gracias!!!

ResponderCitar
Respondido : 05/08/2018 2:17 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola

Envíanos una captura de pantalla de la consulta que has ejecutado, antes de ejecutarla para ver la sintaxis y en donde la estas ejecutando.

Si te complicas con esto, al ser un bug de PrestaShop, podrías evaluar regresar a la versión anterior que tenías a través de un backup y esperar otra actualización que solucione esto.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 05/08/2018 5:45 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

jaime luis
 jaime luis
Estimable Member

Hola
Gracias por tu respuesta... volver atrás no porque tampoco es importante y se que se arreglará y como hace días que ya actualicé pues no me merece la pena. Si lo puedo solucionar, si lo podemos solucionar bien, sino esperaremos a la próxima...
te adjunto captura de pantalla de como lo hago, lo hago siguiendo instrucciones de Pepe
gracias!!!!

ResponderCitar
Respondido : 05/08/2018 8:23 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Jaime Luis,

Como bien te indicó Pepe, y tal como está documentado en el issue del bug de PrestaShop.com se trata de saber que módulo (versión) "1-click upgrade" usaste para actualizar de la 1.7.3.x a la 1.7.4.2

¿Puedes indicar la versión usada?

Lo explico en este artículo:

https://www.webempresa.com/blog/prestashop-1-7-4-2-mejoras-disponibles.html

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 05/08/2018 8:40 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

jaime luis
 jaime luis
Estimable Member

Hola
Tenía problemas para pasar de la 1.7.3 a la 1.7.4 y al final acabé pasando un tiket y me respondieron con un tuto de un compañero vuestro. Descargue creo que la versión 4.0.3 que era la que encontré disponiv y se actualizó sin problema.
Versión beta 3 o 4 quiero decir
Saludos!!!

ResponderCitar
Respondido : 05/08/2018 9:28 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Jaime,

Entiendo que usaste el módulo "1-click upgrade" 4.0.0 beta4 o beta5 ¿correcto?

Aunque lo correcto es desinstalar el que venia en la 1.7.3.x que era la versión 3.0.5 y luego instalar la 4.0.0. desde Módulos ya que es la que evita "problemas colaterales" en el proceso de actualización.

¿Cuando actualizaste funcionaba bien o empezó el problema justa tras actualizar?

Perdona que insista tanto en este punto, el cual he documentado bastantes veces en artículos, pero es que es la clave para detectar mejor las causas.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 05/08/2018 10:08 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

jaime luis
 jaime luis
Estimable Member

Luis gracias por tu respuesta!!!
Antes de actualizar funcionaba bien y lo sé porque tengo una instalación nueva. La antigua la verdad que esa función no la usaba porque ya la tenía configurada.
Y en cuanto a la instalación del módulo click seguí él tutoríal tal como me indicaron desde web empresa.
De todas maneras si quieres puedo ir a la versión 1.7.3.5 de presta y probar.
Gracias!!!

ResponderCitar
Respondido : 05/08/2018 10:26 pm
Luis Mendez Alejo
 Luis Mendez Alejo
Miembro Admin

Hola Jaime,

Solo por curiosidad y para descartar cosas ¿te pasa solo desde Safari o también en Chrome por ejemplo?

Ahora mismo entiendo que la instalación esta en la versión 1.7.4.2 y con todos los módulos actualizados ¿correcto?

Quedo pendiente de tus indicaciones.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 06/08/2018 12:57 am

Cursos Gratuitos WordPress

jaime luis
 jaime luis
Estimable Member

Hola Luis
Buenos días
Efectivamente tengo instalada la 1.7.4.2 y todos los módulos instalados, desde que salió la 1.7.4.0 intentaba instalar pero siempre me daba un error en la actualización hasta que pase un ticket y me dieron un enlace de un compañero vuestro que tenia un tutoría de donde estaba el error, que fue cuando baje la beta del autoupgrade 4.0
Siempre las actualizaciones las hago desde crome y desde pc, no desde el Mac.
Esta mañana he recuperado una copia de la 1.7.3.5 para probar a actualizar habiendo instalado el autoupgrade 4.0 que ya esta en addons. Sobre otro prestashop que instale desde 0 y sin multitienda como el que tengo operativo. Y el resultado al final es el mismo, error....
Lo he vuelto a dejar como estaba ayer después de comprobar que sigue dando error.
ç
Gracias

ResponderCitar
Respondido : 06/08/2018 10:52 am
Página 1 / 2

Por favor Iniciar Sesión o Registro